org.crosswire.jsword.book

## Enum FeatureType

- java.lang.Object
- - java.lang.Enum<FeatureType>
  - - org.crosswire.jsword.book.FeatureType

- All Implemented Interfaces:
    Serializable, Comparable<FeatureType>

      public enum FeatureType
      extends Enum<FeatureType>

  An Enumeration of the possible Features a Book may have.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAILY_DEVOTIONS` The book is one of Daily Devotions.
    `FOOTNOTES` The book contains footnotes
    `GLOSSARY` The book is glossary of translations from one language to another.
    `GREEK_DEFINITIONS` The book is one of Greek Definitions.
    `GREEK_PARSE` The book is one of Greek word parsings.
    `HEADINGS` The book contains Headings
    `HEBREW_DEFINITIONS` The book is one of Hebrew Definitions.
    `HEBREW_PARSE` The book is one of Hebrew word parsings.
    `MORPHOLOGY` The book contains Morphology info
    `SCRIPTURE_REFERENCES` The book contains Scripture cross references
    `STRONGS_NUMBERS` The book contains Strong's Numbers.
    `WORDS_OF_CHRIST` The book marks the Word's of Christ

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `alias` The alias of the FeatureType
    `private String` | `name` The name of the FeatureType

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FeatureType` | `fromString(String name)` Lookup method to convert from a String
    `String` | `getAlias()` Get the alias for this feature.
    `String` | `toString()`
    `static FeatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FeatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREEK_DEFINITIONS

          public static final FeatureType GREEK_DEFINITIONS

      The book is one of Greek Definitions. AKA, Strong's.

    - #### GREEK_PARSE

          public static final FeatureType GREEK_PARSE

      The book is one of Greek word parsings. AKA, Robinson.

    - #### HEBREW_DEFINITIONS

          public static final FeatureType HEBREW_DEFINITIONS

      The book is one of Hebrew Definitions. AKA, Strong's.

    - #### HEBREW_PARSE

          public static final FeatureType HEBREW_PARSE

      The book is one of Hebrew word parsings. AKA, ???.

    - #### DAILY_DEVOTIONS

          public static final FeatureType DAILY_DEVOTIONS

      The book is one of Daily Devotions.

    - #### GLOSSARY

          public static final FeatureType GLOSSARY

      The book is glossary of translations from one language to another.

    - #### STRONGS_NUMBERS

          public static final FeatureType STRONGS_NUMBERS

      The book contains Strong's Numbers. The alias is used to match GlobalOptionFilters.

    - #### FOOTNOTES

          public static final FeatureType FOOTNOTES

      The book contains footnotes

    - #### SCRIPTURE_REFERENCES

          public static final FeatureType SCRIPTURE_REFERENCES

      The book contains Scripture cross references

    - #### WORDS_OF_CHRIST

          public static final FeatureType WORDS_OF_CHRIST

      The book marks the Word's of Christ

    - #### MORPHOLOGY

          public static final FeatureType MORPHOLOGY

      The book contains Morphology info

    - #### HEADINGS

          public static final FeatureType HEADINGS

      The book contains Headings

  - ### Field Detail

    - #### name

          private String name

      The name of the FeatureType

    - #### alias

          private String alias

      The alias of the FeatureType

  - ### Method Detail

    - #### values

          public static FeatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureType c : FeatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static FeatureType fromString(String name)

      Lookup method to convert from a String
      Parameters:
        `name` - the name of a FeatureType
      Returns:
        the matching FeatureType

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FeatureType>`

    - #### getAlias

          public String getAlias()

      Get the alias for this feature.
      Returns:
        the alias